Pix ProcessamentoPix Processamento Docs
API 端点报表

列出账户流水

GET
/user/bank-statements

认证

BearerAuth
认证Bearer <token>

位置: header

Query 参数

createdAtFrom*string

Start date (required).

格式date-time
createdAtTo*string

End date (required).

格式date-time
id?string
operation?string
值位于"INCREMENT" | "DECREMENT"
reason?string
transactionId?string
amountFrom?number
amountTo?number
page?integer
默认值1
范围1 <= value
limit?integer
默认值10
范围1 <= value <= 100
sortBy?string
默认值"createdAt"
值位于"createdAt" | "amount"
sortDirection?string
默认值"desc"
值位于"asc" | "desc"

响应体

application/json

curl --request GET \  --url 'https://api.exemplo.processamento.com/v1/user/bank-statements?createdAtFrom=2026-08-01T00%3A00%3A00Z&createdAtTo=2026-08-01T00%3A00%3A00Z' \  --header 'Authorization: Bearer $PIX_TOKEN'
{
  "pagination": {
    "page": 1,
    "limit": 10,
    "hasNextPage": true
  },
  "bankStatements": [
    {
      "id": "bs_1",
      "amount": 100,
      "operation": "INCREMENT",
      "reason": "PIX_DEPOSIT",
      "balanceType": "AVAILABLE",
      "previousBalanceAvailable": 400,
      "previousBalanceBlocked": 0,
      "newBalanceAvailable": 500,
      "newBalanceBlocked": 0,
      "transactionId": "PIX2025...",
      "infractionId": null,
      "createdAt": "2026-08-10T12:00:00.000Z",
      "updatedAt": "2026-08-10T12:00:00.000Z"
    }
  ]
}